AccessType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.cfg
Enum AccessType

    java.lang.Object
      java.lang.Enum<AccessType>
          org.hibernate.cfg.AccessType

All Implemented Interfaces:
  Serializable, Comparable<AccessType>

    public enum AccessType

extends Enum<AccessType>

Enum defining different access strategies for accessing entity values.

Enum Constant Summary
`DEFAULT` Default access strategy is property
`FIELD` Access to value via field
`PROPERTY` Access to value via property

Method Summary
`static AccessType` | `getAccessStrategy(AccessType type)`
`static AccessType` | `getAccessStrategy(String type)`
`String` | `getType()`
`static AccessType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AccessType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT

    public static final AccessType DEFAULT

  Default access strategy is property

### PROPERTY

    public static final AccessType PROPERTY

  Access to value via property

### FIELD

    public static final AccessType FIELD

  Access to value via field

Method Detail

### values

    public static AccessType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AccessType c : AccessType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AccessType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getType

    public String getType()

### getAccessStrategy

    public static AccessType getAccessStrategy(String type)

### getAccessStrategy

    public static AccessType getAccessStrategy(AccessType type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.